polybori::CDegTermStack< NavigatorType, DescendingProperty, BlockProperty, BaseType > Class Template Reference

`#include <CTermStack.h>`

Inheritance diagram for polybori::CDegTermStack< NavigatorType, DescendingProperty, BlockProperty, BaseType >:

## Public Types

typedef CDegStackBase< NavigatorType, DescendingProperty, BlockProperty, BaseType > | base
typedef CDegTermStack< NavigatorType, DescendingProperty, BlockProperty, BaseType > | self
typedef base::navigator | navigator
typedef navigator::size_type | size_type
typedef navigator::deg_type | deg_type
typedef base::manager_type | manager_type

## Public Member Functions

| CDegTermStack (navigator navi, const manager_type &mgr)
| CDegTermStack (const CDegTermStack &rhs)
void | init ()
void | followDeg ()
void | increment ()
void | degTerm ()
void | decrement ()
void | findTerm (size_type upperbound)
void | restart ()
void | invalidate ()

## Member Typedef Documentation

template<class NavigatorType, class DescendingProperty, class BlockProperty = invalid_tag, class BaseType = internal_tag>

typedef CDegStackBase<NavigatorType, DescendingProperty, BlockProperty, BaseType> polybori::CDegTermStack< NavigatorType, DescendingProperty, BlockProperty, BaseType >::base

template<class NavigatorType, class DescendingProperty, class BlockProperty = invalid_tag, class BaseType = internal_tag>

typedef navigator::deg_type polybori::CDegTermStack< NavigatorType, DescendingProperty, BlockProperty, BaseType >::deg_type

template<class NavigatorType, class DescendingProperty, class BlockProperty = invalid_tag, class BaseType = internal_tag>

typedef base::manager_type polybori::CDegTermStack< NavigatorType, DescendingProperty, BlockProperty, BaseType >::manager_type

template<class NavigatorType, class DescendingProperty, class BlockProperty = invalid_tag, class BaseType = internal_tag>

typedef base::navigator polybori::CDegTermStack< NavigatorType, DescendingProperty, BlockProperty, BaseType >::navigator

template<class NavigatorType, class DescendingProperty, class BlockProperty = invalid_tag, class BaseType = internal_tag>

typedef CDegTermStack<NavigatorType, DescendingProperty, BlockProperty, BaseType> polybori::CDegTermStack< NavigatorType, DescendingProperty, BlockProperty, BaseType >::self

template<class NavigatorType, class DescendingProperty, class BlockProperty = invalid_tag, class BaseType = internal_tag>

typedef navigator::size_type polybori::CDegTermStack< NavigatorType, DescendingProperty, BlockProperty, BaseType >::size_type

## Constructor & Destructor Documentation

template<class NavigatorType, class DescendingProperty, class BlockProperty = invalid_tag, class BaseType = internal_tag>

polybori::CDegTermStack< NavigatorType, DescendingProperty, BlockProperty, BaseType >::CDegTermStack | ( | navigator | navi,
|  | const manager_type & | mgr
| ) |  |

inline

template<class NavigatorType, class DescendingProperty, class BlockProperty = invalid_tag, class BaseType = internal_tag>

polybori::CDegTermStack< NavigatorType, DescendingProperty, BlockProperty, BaseType >::CDegTermStack | ( | const CDegTermStack< NavigatorType, DescendingProperty, BlockProperty, BaseType > & | rhs | ) |

inline

## Member Function Documentation

template<class NavigatorType, class DescendingProperty, class BlockProperty = invalid_tag, class BaseType = internal_tag>

void polybori::CDegTermStack< NavigatorType, DescendingProperty, BlockProperty, BaseType >::decrement | ( |  | ) |

inline

template<class NavigatorType, class DescendingProperty, class BlockProperty = invalid_tag, class BaseType = internal_tag>

void polybori::CDegTermStack< NavigatorType, DescendingProperty, BlockProperty, BaseType >::degTerm | ( |  | ) |

inline

template<class NavigatorType, class DescendingProperty, class BlockProperty = invalid_tag, class BaseType = internal_tag>

void polybori::CDegTermStack< NavigatorType, DescendingProperty, BlockProperty, BaseType >::findTerm | ( | size_type | upperbound | ) |

inline

template<class NavigatorType, class DescendingProperty, class BlockProperty = invalid_tag, class BaseType = internal_tag>

void polybori::CDegTermStack< NavigatorType, DescendingProperty, BlockProperty, BaseType >::followDeg | ( |  | ) |

inline

template<class NavigatorType, class DescendingProperty, class BlockProperty = invalid_tag, class BaseType = internal_tag>

void polybori::CDegTermStack< NavigatorType, DescendingProperty, BlockProperty, BaseType >::increment | ( |  | ) |

inline

template<class NavigatorType, class DescendingProperty, class BlockProperty = invalid_tag, class BaseType = internal_tag>

void polybori::CDegTermStack< NavigatorType, DescendingProperty, BlockProperty, BaseType >::init | ( |  | ) |

inline

template<class NavigatorType, class DescendingProperty, class BlockProperty = invalid_tag, class BaseType = internal_tag>

void polybori::CDegTermStack< NavigatorType, DescendingProperty, BlockProperty, BaseType >::invalidate | ( |  | ) |

inline

template<class NavigatorType, class DescendingProperty, class BlockProperty = invalid_tag, class BaseType = internal_tag>

void polybori::CDegTermStack< NavigatorType, DescendingProperty, BlockProperty, BaseType >::restart | ( |  | ) |

inline

The documentation for this class was generated from the following file:

- CTermStack.h